﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Default.aspx.vb" Inherits="_Default" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Chamando WebMethod com jQuery Ajax</title>
    <script src="Scripts/jquery-2.1.1.min.js"></script>

    <script type="text/javascript">
        $(document).ready(function () {
            $('#btnJogadores').click(function () {
                $.ajax({
                    type: "POST",
                    url: "Default.aspx/GetJogadores",
                    contentType: "application/json; charset=utf-8",
                    data: "{}",
                    dataType: "json",
                    success: OnSuccess,
                    failure: function (response) {
                        alert(response.d);
                    }
                });
            });
        });
        function OnSuccess (jsonResult) {
            $(jsonResult.d).each(function() {
                var htmlText = this.Nome + ', ' + this.Time;
                $("#painel").append(htmlText + ' <br />');
            });
        }
    </script>
</head>
<body>
        <h2>Macoratti .net</h2>
        <hr />
        <button id="btnJogadores">Exibir Jogadores/Times</button>
        <br />
        <div id="painel">
 
        </div>
 </body>
</html>
